modal-alterar-senha {
  display: block;
  width: 100%;
}

modal-alterar-senha .modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

modal-alterar-senha .modal-container {
  background: white;
  border-radius: 8px;
  border-top: 15px solid var(--cor-modal-adicionar);
  width: 95%;
  max-width: 500px;
  max-height: 85vh;
  overflow-y: auto;
  padding: 20px;
  animation: zoomIn 0.3s ease-in-out;
}

modal-alterar-senha .modal-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
}

modal-alterar-senha .modal-header h2 {
  margin: 0;
  font-size: 1.5rem;
  color: #333;
}

modal-alterar-senha .btn-fechar {
  background: none;
  border: none;
  font-size: 1.5rem;
  cursor: pointer;
  padding: 0;
  color: #666;
}

modal-alterar-senha form {
  display: flex;
  flex-direction: column;
  align-items: center;
}

modal-alterar-senha .form-group {
  margin-bottom: 15px;
  position: relative;
  width: 100%;
}

modal-alterar-senha .form-group label {
  display: block;
  margin-bottom: 5px;
  color: #333;
  font-weight: 500;
}

modal-alterar-senha .form-group input {
  width: 100%;
  padding: 12px;
  border: 1px solid #ddd;
  border-radius: 4px;
  font-size: 1rem;
  padding-right: 40px; /* Espaço para o botão de mostrar senha */
}

modal-alterar-senha .form-group input:focus {
  outline: 2px solid var(--cor-primaria);
}
modal-alterar-senha .input-container {
  position: relative;
}

modal-alterar-senha .form-group input.error {
  outline: 1px solid #e74c3c;
  border-color: #e74c3c;
}

modal-alterar-senha .text-error,
modal-alterar-senha .input-container .text-error {
  color: #e74c3c;
  font-size: 0.875rem;
  display: block;
  margin-top: 4px;
}

modal-alterar-senha .form-group input.error + button {
  background: #e74c3c;
  height: fit-content;
}

modal-alterar-senha .btn-mostrar-senha {
  position: absolute;
  right: 0;
  top: 0;
  background: var(--cor-primaria);
  border: none;
  cursor: pointer;
  border-radius: 0 4px 4px 0;
  color: var(--white);
  height: 100%;
  padding: 15px;
}

modal-alterar-senha .btn-mostrar-senha:hover {
  background: #098040;
}

modal-alterar-senha .input-error:focus {
  opacity: 1;
}

modal-alterar-senha .btn-alterar {
  width: 192px;
  padding: 12px;
  background-color: #14a44d;
  color: white;
  border: none;
  border-radius: 4px;
  font-size: 1rem;
  cursor: pointer;
  margin-top: 10px;
  font-weight: bold;
  transition: background-color 0.2s;
}

modal-alterar-senha .btn-alterar:hover {
  background-color: #098040;
}
